# PhasicFlow: selectRange Class Reference

selectRange Class Reference
Inheritance diagram for selectRange:
[legend]
Collaboration diagram for selectRange:
[legend]

## Public Member Functions

| TypeInfo ("selectRange")
| selectRange (const pointStructure &pStruct, const dictionary &dict)
| add_vCtor (pStructSelector, selectRange, dictionary)
virtual | ~selectRange ()=default
virtual const int32Vector & | selectedPoinsts () const override
virtual int32Vector & | selectedPoinsts () override
Public Member Functions inherited from pStructSelector
| TypeInfo ("pStructSelector")
| pStructSelector (const pointStructure &pStruct, const dictionary &UNUSED(dict))
| create_vCtor (pStructSelector, dictionary,(const pointStructure &pStruct, const dictionary &dict),(pStruct, dict))
virtual | ~pStructSelector ()=default
const pointStructure & | pStruct () const

## Protected Member Functions

void | selectAllPointsInRange ()

## Protected Attributes

int32Vector | selectedPoints_
int32 | begin_
int32 | end_
int32 | stride_
Protected Attributes inherited from pStructSelector
const pointStructure & | pStruct_

## Additional Inherited Members

Static Public Member Functions inherited from pStructSelector
static uniquePtr< pStructSelector > | create (const pointStructure &pStruct, const dictionary &dict)

## Detailed Description

Definition at line 34 of file selectRange.hpp.

## Constructor & Destructor Documentation

## selectRange()

selectRange | ( | const pointStructure & | pStruct,
|  | const dictionary & | dict
| ) |  |

Definition at line 41 of file selectRange.cpp.

References pFlow::max(), pFlow::min(), and pStruct.

Here is the call graph for this function:

## ~selectRange()

virtual ~selectRange | ( |  | ) |

virtualdefault

## Member Function Documentation

## selectAllPointsInRange()

void selectAllPointsInRange | ( |  | ) |

protected

Definition at line 25 of file selectRange.cpp.

References selectRange::begin_, Vector< T, Allocator >::clear(), selectRange::end_, Vector< T, Allocator >::reserve(), selectRange::selectedPoints_, and selectRange::stride_.

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "selectRange" |  | ) |

## add_vCtor()

add_vCtor | ( | pStructSelector | ,
|  | selectRange | ,
|  | dictionary |
| ) |  |

## selectedPoinsts() [1/2]

virtual const int32Vector& selectedPoinsts | ( |  | ) | const

inlineoverridevirtual

Implements pStructSelector.

Definition at line 72 of file selectRange.hpp.

References selectRange::selectedPoints_.

## selectedPoinsts() [2/2]

virtual int32Vector& selectedPoinsts | ( |  | ) |

inlineoverridevirtual

Implements pStructSelector.

Definition at line 77 of file selectRange.hpp.

References selectRange::selectedPoints_.

## Member Data Documentation

## selectedPoints_

int32Vector selectedPoints_

protected

Definition at line 40 of file selectRange.hpp.

Referenced by selectRange::selectAllPointsInRange(), and selectRange::selectedPoinsts().

## begin_

int32 begin_

protected

Definition at line 43 of file selectRange.hpp.

Referenced by selectRange::selectAllPointsInRange().

## end_

int32 end_

protected

Definition at line 46 of file selectRange.hpp.

Referenced by selectRange::selectAllPointsInRange().

## stride_

int32 stride_

protected

Definition at line 49 of file selectRange.hpp.

Referenced by selectRange::selectAllPointsInRange().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/pointStructure/selectors/selectRange/selectRange.hpp
- src/phasicFlow/structuredData/pointStructure/selectors/selectRange/selectRange.cpp